<?php
add_theme_support( 'post-thumbnails' );

function customize(){
	register_post_type( 'car',
		array(
			'labels' => array(
				'name' => __( 'Cars' ),
				'singular_name' => __( 'Car' ),
				'add_new' => 'Add Car', 
				'add_new_item' => 'Add Car',
				'edit' => 'Edit Cars',
				'edit_item' => 'Edit Car',
				'new-item' => 'New Car',
				'view' => 'View Car',
				'view_item' => 'View Car',
				'search_items' => 'Search Cars',
				'not_found' => 'No Cars Found',
				'not_found_in_trash' => 'No Cars Found in Trash',
				'parent' => 'Parent Car'
			),
			'description' => 'Car Post Type',
			'public' => true,
			'has_archive' => true,
			'show_ui' => true,			
			'capability_type' => 'page',
			'rewrite' => array( 'slug' => 'car', 'with_front' => false ),
			'supports' => array('title', 'editor', 'thumbnail', 'author')
		)
	);

	register_taxonomy('car_doors',
		'car',
		array (
			'labels' => array (
				'name' => 'Car Doors',
				'singluar_name' => 'Car Doors',
				'search_items' => 'Search Car Doors',
				'popular_items' => 'Popular Car Doors',
				'all_items' => 'All Car Doors',
				'parent_item' => 'Parent Car Doors',
				'parent_item_colon' => 'Parent Car Doors:',
				'edit_item' => 'Edit Car Doors',
				'update_item' => 'Update Car Doors',
				'add_new_item' => 'Add New Car Doors',
				'new_item_name' => 'New Car Doors',
			),
			'hierarchical' =>true,
			'show_ui' => true,
			'show_tagcloud' => true,
			'show_in_nav_menus' => true,
			'show_in_menu' => true,
			'rewrite' => array( 'slug' => 'doors'),
			'query_var' => 'doors',
			'public'=>true
		)
	);
	
	wp_insert_term( '3 Door', 'car_doors', array( 'description'=> '3 Doors', 'slug' => '3_door' ) );
	wp_insert_term( '4 Door', 'car_doors', array( 'description'=> '4 Doors', 'slug' => '4_door' ) );
	wp_insert_term( '5 Door', 'car_doors', array( 'description'=> '5 Doors', 'slug' => '5_door' ) );
}

add_action( 'init', 'customize' );

?>